path: /build/build/libmediaart-media-libs-2.0-1.9.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-qt5 -test introspection prefix vala" emerge media-libs/libmediaart:2.0 -pv -t && \
    USE="-qt5 -test introspection prefix vala" emerge -j ${JOBS} --nodeps media-libs/libmediaart:2.0 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmediaart && \
    luet-portage --dir /pkgdir/libmediaart media-libs/libmediaart:2.0 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:38b7445104f656be92d265988cf851377c1691c1d653e1356be0b34f711c86d7
  package:
    name: libmediaart
    version: 1.9.7
    category: media-libs-2.0
    use_flags:
    - -qt5
    - -test
    - introspection
    - prefix
    - vala
    requires:
    - name: gstreamer-editing-services
      version: '>=0'
      category: media-libs-1.0
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Manages, extracts and handles media art caches
    uri:
    - https://github.com/GNOME/libmediaart
    license: LGPL-2.1+
    buildtimestamp: 2025-09-03 06:11:34.932742414 +0000 UTC m=+2213.932203096
    labels:
      BDEPEND: dev-libs/gobject-introspection-common virtual/pkgconfig gtk-doc? (
        dev-util/gtk-doc ) vala? ( || ( dev-lang/vala:0.54[vapigen(+)] dev-lang/vala:0.52[vapigen(+)]
        dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
        dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
        dev-lang/vala:0.36[vapigen(+)] ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils
        >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/glib:2 !qt5? ( x11-libs/gdk-pixbuf:2 ) introspection? ( dev-libs/gobject-introspection:=
        ) qt5? ( dev-qt/qtgui:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: gtk-doc +introspection -qt5 vala
      RDEPEND: dev-libs/glib:2 !qt5? ( x11-libs/gdk-pixbuf:2 ) introspection? ( dev-libs/gobject-introspection:=
        ) qt5? ( dev-qt/qtgui:5 )
      emerge.packages: media-libs/libmediaart:2.0
      kit: media-kit
      original.package.name: media-libs/libmediaart
      original.package.slot: "2.0"
      original.package.version: 1.9.7
    treedir: /build/packages
  package_dir: /pkgdir/libmediaart
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 62e32e7939ce922dd14a5337498f01b1a2d224dbcbac0f8ae6f30fa593beb582
compressiontype: zstd
files:
- usr/include/libmediaart-2.0/libmediaart/cache.h
- usr/include/libmediaart-2.0/libmediaart/extract.h
- usr/include/libmediaart-2.0/libmediaart/extractgeneric.h
- usr/include/libmediaart-2.0/libmediaart/mediaart-macros.h
- usr/include/libmediaart-2.0/libmediaart/mediaart.h
- usr/lib64/girepository-1.0/MediaArt-2.0.typelib
- usr/lib64/libmediaart-2.0.so
- usr/lib64/libmediaart-2.0.so.0
- usr/lib64/libmediaart-2.0.so.0.904.0
- usr/lib64/pkgconfig/libmediaart-2.0.pc
- usr/share/doc/libmediaart-1.9.4/AUTHORS.bz2
- usr/share/doc/libmediaart-1.9.4/NEWS.bz2
- usr/share/gir-1.0/MediaArt-2.0.gir
- usr/share/gtk-doc/html/libmediaart-2.0/annotation-glossary.html
- usr/share/gtk-doc/html/libmediaart-2.0/ch02.html
- usr/share/gtk-doc/html/libmediaart-2.0/home.png
- usr/share/gtk-doc/html/libmediaart-2.0/index.html
- usr/share/gtk-doc/html/libmediaart-2.0/left-insensitive.png
- usr/share/gtk-doc/html/libmediaart-2.0/left.png
- usr/share/gtk-doc/html/libmediaart-2.0/libmediaart-2.0.devhelp2
- usr/share/gtk-doc/html/libmediaart-2.0/libmediaart-Cache.html
- usr/share/gtk-doc/html/libmediaart-2.0/libmediaart-MediaArtProcess.html
- usr/share/gtk-doc/html/libmediaart-2.0/libmediaart-Plugins.html
- usr/share/gtk-doc/html/libmediaart-2.0/libmediaart-reference.html
- usr/share/gtk-doc/html/libmediaart-2.0/overview-compiling.html
- usr/share/gtk-doc/html/libmediaart-2.0/overview.html
- usr/share/gtk-doc/html/libmediaart-2.0/right-insensitive.png
- usr/share/gtk-doc/html/libmediaart-2.0/right.png
- usr/share/gtk-doc/html/libmediaart-2.0/style.css
- usr/share/gtk-doc/html/libmediaart-2.0/up-insensitive.png
- usr/share/gtk-doc/html/libmediaart-2.0/up.png
- usr/share/vala/vapi/libmediaart-2.0.vapi
- var/db/pkg/media-libs/libmediaart-1.9.4/BUILD_TIME
- var/db/pkg/media-libs/libmediaart-1.9.4/CATEGORY
- var/db/pkg/media-libs/libmediaart-1.9.4/CBUILD
- var/db/pkg/media-libs/libmediaart-1.9.4/CFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.4/CHOST
- var/db/pkg/media-libs/libmediaart-1.9.4/CONTENTS
- var/db/pkg/media-libs/libmediaart-1.9.4/COUNTER
- var/db/pkg/media-libs/libmediaart-1.9.4/CTARGET
- var/db/pkg/media-libs/libmediaart-1.9.4/CXX
- var/db/pkg/media-libs/libmediaart-1.9.4/CXXFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.4/DEFINED_PHASES
- var/db/pkg/media-libs/libmediaart-1.9.4/DEPEND
- var/db/pkg/media-libs/libmediaart-1.9.4/DESCRIPTION
- var/db/pkg/media-libs/libmediaart-1.9.4/EAPI
- var/db/pkg/media-libs/libmediaart-1.9.4/FEATURES
- var/db/pkg/media-libs/libmediaart-1.9.4/HOMEPAGE
- var/db/pkg/media-libs/libmediaart-1.9.4/INHERITED
- var/db/pkg/media-libs/libmediaart-1.9.4/IUSE
- var/db/pkg/media-libs/libmediaart-1.9.4/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libmediaart-1.9.4/KEYWORDS
- var/db/pkg/media-libs/libmediaart-1.9.4/LDFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.4/LICENSE
- var/db/pkg/media-libs/libmediaart-1.9.4/NEEDED
- var/db/pkg/media-libs/libmediaart-1.9.4/NEEDED.ELF.2
- var/db/pkg/media-libs/libmediaart-1.9.4/PF
- var/db/pkg/media-libs/libmediaart-1.9.4/PROVIDES
- var/db/pkg/media-libs/libmediaart-1.9.4/RDEPEND
- var/db/pkg/media-libs/libmediaart-1.9.4/REQUIRES
- var/db/pkg/media-libs/libmediaart-1.9.4/SIZE
- var/db/pkg/media-libs/libmediaart-1.9.4/SLOT
- var/db/pkg/media-libs/libmediaart-1.9.4/USE
- var/db/pkg/media-libs/libmediaart-1.9.4/environment.bz2
- var/db/pkg/media-libs/libmediaart-1.9.4/libmediaart-1.9.4.ebuild
- var/db/pkg/media-libs/libmediaart-1.9.4/repository
package_cacheimage: ""
runtime:
  name: libmediaart
  version: 1.9.7
  category: media-libs-2.0
  use_flags:
  - -qt5
  - -test
  - introspection
  - prefix
  - vala
  requires:
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Manages, extracts and handles media art caches
  uri:
  - https://github.com/GNOME/libmediaart
  license: LGPL-2.1+
  labels:
    BDEPEND: dev-libs/gobject-introspection-common virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc
      ) vala? ( || ( dev-lang/vala:0.54[vapigen(+)] dev-lang/vala:0.52[vapigen(+)]
      dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
      dev-lang/vala:0.36[vapigen(+)] ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils
      >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/glib:2 !qt5? ( x11-libs/gdk-pixbuf:2 ) introspection? ( dev-libs/gobject-introspection:=
      ) qt5? ( dev-qt/qtgui:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
    IUSE: gtk-doc +introspection -qt5 vala
    RDEPEND: dev-libs/glib:2 !qt5? ( x11-libs/gdk-pixbuf:2 ) introspection? ( dev-libs/gobject-introspection:=
      ) qt5? ( dev-qt/qtgui:5 )
    emerge.packages: media-libs/libmediaart:2.0
    kit: media-kit
    original.package.name: media-libs/libmediaart
    original.package.slot: "2.0"
    original.package.version: 1.9.7
